{% extends "base.html" %}
{% load static %}
<head>
{%block app_css%}
    <link rel="stylesheet" href="{% static 'rumahsakit.css' %}">
{%endblock app_css%}
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <title>Rumah Sakit & Help Center</title>
</head>
    {%block content%}
    <div class="page-header">
        <h1>Rumah Sakit & Help Center</h1>
    </div>
    <div class="container-xl">
        <div class="location-select">
            <div class="filter">
                <p>Cari Rumah Sakit</p>
                <div class="dropdown">
                    <input type="text" name = "searchBar" id = "inputKeyword" placeholder="Search hospitals">
                </div>
                <a href="#" class="text-decoration-none" data-toggle="modal" data-target="#tambahData">
                <div>
                    <img src="{% static 'img/add_circle_24px.svg' %}">
                    <p style="color:#007AFF">Tambah Data</p>
                </div></a>    
            </div>
        </div>
       
        
        <div class="row" id="results">

        </div>

    <div class="modal fade" id="tambahData" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Tambah Data</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form action="{% url 'rumahsakit:tambah' %}" method="post">
                {% csrf_token %}
                <div class="form-group">
                    <label for="nama">Nama Tempat:</label><br>
                    <input type="text" class="form-control" id="nama" name="nama" placeholder="Masukkan nama tempat">    
                </div>
                <div class="form-group">
                    <label for="lokasi" class="col-form-label">Lokasi:</label><br>
                    <select name="lokasi" id="lokasi" class = "custom-select">
                        <option value="Bandung">Bandung</option>
                        <option value="Depok">Depok</option>
                        <option value="Jakarta">Jakarta</option>
                        <option value="Surabaya">Surabaya</option>
                        <option value="Tangerang">Tangerang</option>
                    </select>    
                </div>
                <div class="form-group">
                    <label for="waktu" class="col-form-label">Waktu Buka:</label><br>
                    <input type="text" class="form-control" id="waktu" name="waktu" placeholder="Contoh: 24 Jam, Senin-Jumat, Sabtu-Minggu">
                </div>
                <div class="form-group">
                    <label for="notelp" class="col-form-label">Nomor telepon:</label><br>
                    <input type="text" class="form-control" id="notelp" name="notelp" placeholder="Contoh: 0812 345 678">
                </div>
                <div class="form-group">
                    <label for="website" class="col-form-label">Website:</label><br>
                    <input type="text" class="form-control" id="website" name="website" placeholder="Contoh: https://www.rumahsakit.com">
                </div>
                <div class="form-group">
                    <label for="website" class="col-form-label">Link Google Maps:</label><br>
                    <input type="text" class="form-control" id="maps" name="maps" placeholder="Contoh: https://maps.google.com/rumahsakit">
                </div>
                <div class="form-group">
                    <label for="foto" class="col-form-label">Link Foto:</label><br>
                    <input type="text" class="form-control" id="foto" name="foto" placeholder = "Contoh: https://photosite.com/photo1.png">    
                </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
              <button type="submit" class="btn btn-primary">Tambah</button>
            </div>
            </form>
          </div>
        </div>
    </div>
    <div id="page-content">
        <div class="container text-center">
        <div class="row justify-content-center">
            <div class="col-md-7">
            <h1 class="font-weight-light mt-4 text-white"></h1>
            <p class="lead text-white-50"></p>
            </div>
        </div>
        </div>
    </div>

    </div>

    <script type = "text/javascript">
        var rs_url = "{% url 'rumahsakit:search' %}?searchBar=";
        $("#inputKeyword").keyup(
          function(){
          var search = $("#inputKeyword").val();
          console.log(search);
          var rs = rs_url;
          $.ajax({
            type: 'GET',
            url: rs_url + search,
            dataType: 'json',
            success: function(result){
              $("#results").empty();
              console.log(result);
                for(i = 0; i<result.length; i++){
                    console.log("masuk if");
                    var image = result[i].fields.link_foto;
                    var nama = result[i].fields.nama;
                    var lokasi = result[i].fields.lokasi;
                    var waktu = result[i].fields.waktu;
                    var notelp = result[i].fields.notelp;
                    var website = result[i].fields.website;
                    var maps = result[i].fields.maps;
                    $("#results").append("<div class=" + "col-sm-4" + "> <div class=" + "rs-card" + "> <div class=" + "image" + "> <img src=" + image + "> </div> <div class=" + "content" + "> <h3>" + nama + "</h3> <div class=" + "details" + "> <img src=" + "{% static 'img/location_on_24px.svg' %}" + " alt=" + "" + "> <p>" + lokasi + "</p> </div> <div class=" + "details" + "> <img src=" + "{% static 'img/access_time_24px.svg' %}" + " alt=" + "" + "> <p>" + waktu + "</p> </div> <div class=" + "details" + "> <img src=" + "{% static 'img/call_24px_2nd.svg' %}" + " alt=" + "" + "> <p>"+ notelp +"</p> </div> <div class="+"details" + "> <img src=" + "{% static 'img/world-wide-web 1.svg' %}" + " alt=" + "" +"> <div class=" + "urlfield" + "> <a href=" + website +"><p>" + website +"</p></a> </div> </div> <a href=" + maps + " class=" + "text-decoration-none" + "> <div class=" + "maps-button" + "> <img src=" + "{% static 'img/near_me_24px.svg' %}" + " alt=" + "" + "> <h4>Buka Maps</h4> </div> </a> </div> </div> </div>")
              }
            }
          })
        });
    </script>
    <!-- bootstrap scripts -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.min.js" integrity="sha384-w1Q4orYjBQndcko6MimVbzY0tgp4pWB4lZ7lr30WKz0vr/aWKhXdBNmNb5D92v7s" crossorigin="anonymous"></script>
    {%endblock%}

